Summary:	Camera lens database with image correction support
Summary(pl.UTF-8):	Baza danych obiektywów z funkcją korekcji zdjęć
Name:		lensfun
Version:	0.3.1
Release:	1
License:	LGPL v3 (library), CC-BY-SA v3.0 (lens database)
Group:		Libraries
Source0:	http://downloads.sourceforge.net/lensfun/%{name}-%{version}.tar.gz
# Source0-md5:	7f577385f98b260ea5384b99c6eb03aa
Patch0:		FHS.patch
URL:		http://lensfun.sourceforge.net/
BuildRequires:	cmake >= 2.8
BuildRequires:	docutils
BuildRequires:	doxygen >= 1.5.0
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	libpng-devel >= 1.0
BuildRequires:	libstdc++-devel
BuildRequires:	make >= 3.81
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	zlib-devel >= 1.0
Obsoletes:	lensfun-apidocs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The project provides a database of photographic lenses and a library
that allows advanced access to the database including functions to
correct images based on intimate knowledge of lens characteristics and
calibration data.

%description -l pl.UTF-8
Projekt dostarcza bazę danych obiektywów oraz bibliotekę pozwalającą
na dostęp do bazy i dodatkowo oferującą korekcję zdjęć w oparciu o
szczegółową charakterystykę obiektywu.

%package devel
Summary:	lensfun library header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki lensfun
License:	LGPL v3
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
lensfun library header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki lensfun.

%package apidocs
Summary:	lensfun API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki lensfun
Group:		Documentation

%description apidocs
lensfun API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki lensfun.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake .. \
	-DBUILD_AUXFUN:BOOL=ON \
	-DBUILD_DOC:BOOL=ON \
	-DBUILD_TESTS:BOOL=OFF

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install/fast \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc in -apidocs
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README docs/{adobe-lens-profile,cc-by-sa-3.0,manual-main,mounts}.txt
%attr(755,root,root) %{_libdir}/liblensfun.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblensfun.so.0
%attr(755,root,root) %{_bindir}/g-lensfun-update-data
%attr(755,root,root) %{_bindir}/lensfun-add-adapter
%attr(755,root,root) %{_bindir}/lensfun-update-data
%{_mandir}/man1/g-lensfun-update-data.1*
%{_mandir}/man1/lensfun-add-adapter.1*
%{_mandir}/man1/lensfun-update-data.1*
%{_datadir}/lensfun

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblensfun.so
%{_includedir}/lensfun
%{_pkgconfigdir}/lensfun.pc

%files apidocs
%defattr(644,root,root,755)
%doc build/doc_doxygen/*
%changelog
* Fri Jun 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lensfun.git;a=log;h=master

* Fri Jun 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 0f5bc8a
- updated to 0.3.1

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 0ca7364
- fix man pages installation path

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 5218c4d
- BR pkgconfig

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 229dbce
- up to 0.3.0
- project moved to sourceforge
- BR docutils for rst2man
- package tools in main package

* Sat Nov 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 7300ac1
- added apidocs subpackage, added more general docs

* Sat Nov 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d1a1e55
- up to 0.2.8

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b629969
- release 2 (by relup.sh)

* Fri May 24 2013 wrobell <wrobell@pld-linux.org> 61d5be4
- ver. 0.2.7

* Sun Feb 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 08c9edf
- added auxfun patch (fix libauxfun versioning), build auxfun library

* Sun Feb 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 37d67a3
- up to 0.2.6; use cmake; drop apidocs subpkg

* Sat Mar 26 2011 Jakub Bogusz <qboosh@pld-linux.org> b99e831
- pl typo
- unified License tag format
- package ghost soname symlink

* Sun Sep 05 2010 Kacper Kornet <draenog@pld-linux.org> fdd72c8
- fixes #2983139 in ufraw

* Tue Jun 29 2010 Kacper Kornet <draenog@pld-linux.org> 8deb79d
- package api manual
- rel. 1

* Sun Jun 27 2010 Kacper Kornet <draenog@pld-linux.org> 137583f
- up to 0.2.5
- correct license
- add TODO

* Mon Nov 24 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> 314a27e
- rel 1

* Wed Nov 19 2008 sparky <sparky@pld-linux.org> 6956f07
- added build patch (fixes as-needed, lib symlink and more)
- verbose configure and minimal make
- various BRs
- attr for lib

* Wed Nov 19 2008 sparky <sparky@pld-linux.org> 0d460d5
- * fix various build-system idiocies:
- don't define broken macros
- don't try to add -mtune=
- fix link order
- don't generate .so.0 symlink

* Wed Nov 19 2008 sparky <sparky@pld-linux.org> ebe2fea
- unchanged spec file by Michal Kochanowicz <michal@michal.waw.pl>

